{
	"name": "table/external/4d/manager/product/work_order_schedule.json",
	"table_name": "work_order_schedule",
	"table_prefix": "wos",
	"main_table": "work_order",
	"record_type": ["schedule"],
	"local_table": "product_work",
	"local_record_type": "schedule",
	"table_number": 51,
	"field": [
		{
			"field_name": "act_end_date",
			"field_number": 49,
			"field_type": "date",
			"local_field": "json_data.act_end_date"
		},
		{
			"field_name": "additional_data",
			"field_number": 64,
			"field_type": "varchar",
			"length": 0,
			"local_field": "json_data"
		},
		{
			"field_name": "advance",
			"field_number": 70,
			"field_type": "double",
			"local_field": "json_data.advance"
		},
		{
			"field_name": "change_id",
			"field_number": 54,
			"field_type": "varchar",
			"length": 90,
			"local_field": "modify_id"
		},
		{
			"field_name": "creator_id",
			"field_number": 55,
			"field_type": "varchar",
			"length": 40,
			"local_field": "create_user"
		},
		{
			"field_name": "critical_date_difference",
			"field_number": 27,
			"field_type": "integer",
			"local_field": "json_data.critical_date_difference"
		},
		{
			"field_name": "customer_project",
			"field_number": 51,
			"field_type": "varchar",
			"length": 80,
			"local_field": "json_data.customer_project"
		},
		{
			"field_name": "delay",
			"field_number": 71,
			"field_type": "double",
			"local_field": "json_data.delay"
		},
		{
			"field_name": "delivery_to_customer",
			"field_number": 67,
			"field_type": "integer",
			"local_field": "json_data.delivery_to_customer"
		},
		{
			"field_name": "employee_id",
			"field_number": 32,
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "employee_id",
					"linked_table": "employee"
				}
			],
			"length": 24,
			"local_field": "json_data.employee_id",
			"nullable": true
		},
		{
			"field_name": "end_date",
			"field_number": 10,
			"field_type": "date",
			"local_field": "json_data.end_date"
		},
		{
			"field_name": "end_time",
			"field_number": 6,
			"field_type": "time without time zone",
			"local_field": "json_data.end_time"
		},
		{
			"field_name": "est_bonus_work_time__unit",
			"field_number": 39,
			"field_type": "double",
			"local_field": "json_data.est_bonus_work_time__unit"
		},
		{
			"field_name": "est_contract_price__unit",
			"field_number": 44,
			"field_type": "double",
			"local_field": "json_data.est_contract_price__unit"
		},
		{
			"field_name": "est_machine_setup_cost__hour",
			"field_number": 42,
			"field_type": "double",
			"local_field": "json_data.est_machine_setup_cost__hour"
		},
		{
			"field_name": "est_machine_work_cost__hour",
			"field_number": 43,
			"field_type": "double",
			"local_field": "json_data.est_machine_work_cost__hour"
		},
		{
			"field_name": "est_salary__hour",
			"field_number": 41,
			"field_type": "double",
			"local_field": "json_data.est_salary__hour"
		},
		{
			"field_name": "est_setup_salary__hour",
			"field_number": 40,
			"field_type": "double",
			"local_field": "json_data.est_setup_salary__hour"
		},
		{
			"field_name": "est_setup_time__lot",
			"field_number": 38,
			"field_type": "double",
			"local_field": "json_data.setup_hours"
		},
		{
			"field_name": "est_work_time__unit",
			"field_number": 37,
			"field_type": "double",
			"local_field": "json_data.est_work_time__unit"
		},
		{
			"field_name": "extra_end_date",
			"field_number": 23,
			"field_type": "date",
			"local_field": "json_data.extra_end_date"
		},
		{
			"field_name": "extra_end_time",
			"field_number": 24,
			"field_type": "time without time zone",
			"local_field": "json_data.extra_end_time"
		},
		{
			"field_name": "extra_hours",
			"field_number": 22,
			"field_type": "double",
			"local_field": "extra_hours"
		},
		{
			"field_name": "failed_amount",
			"field_number": 30,
			"field_type": "double",
			"local_field": "failed_amount"
		},
		{
			"field_name": "firm_id",
			"field_number": 21,
			"field_type": "integer",
			"local_field": "json_data.firm_id"
		},
		{
			"field_name": "info",
			"field_number": 26,
			"field_type": "varchar",
			"length": 0,
			"local_field": "info"
		},
		{
			"field_name": "link_target",
			"field_number": 8,
			"field_type": "integer",
			"local_field": "json_data.link_target"
		},
		{
			"field_name": "link_to_start",
			"field_number": 4,
			"field_type": "boolean",
			"local_field": "json_data.link_to_start"
		},
		{
			"field_name": "linking_hours",
			"field_number": 7,
			"field_type": "double",
			"local_field": "json_data.linking_hours"
		},
		{
			"field_name": "load_multiplier",
			"field_number": 53,
			"field_type": "double",
			"local_field": "json_data.load_multiplier"
		},
		{
			"field_name": "material_owner",
			"field_number": 33,
			"field_type": "integer",
			"local_field": "json_data.material_owner"
		},
		{
			"field_name": "measured_track_time",
			"field_number": 65,
			"field_type": "double",
			"local_field": "json_data.measured_track_time"
		},
		{
			"field_name": "modifier_id",
			"field_number": 56,
			"field_type": "varchar",
			"length": 40,
			"local_field": "json_data.modifier_id"
		},
		{
			"field_name": "next_phase",
			"field_number": 15,
			"field_type": "varchar",
			"length": 80,
			"local_field": "json_data.next_phase"
		},
		{
			"field_name": "phase_cr_start_date_delayed",
			"field_number": 69,
			"field_type": "date",
			"local_field": "json_data.critical_delayed_start_date"
		},
		{
			"field_name": "phase_critical_date",
			"field_number": 29,
			"field_type": "date",
			"local_field": "json_data.critical_end_date"
		},
		{
			"field_name": "phase_critical_date_delayed",
			"field_number": 34,
			"field_type": "date",
			"local_field": "json_data.critical_delayed_end_date"
		},
		{
			"field_name": "phase_critical_extra_date",
			"field_number": 47,
			"field_type": "date",
			"local_field": "json_data.critical_extra_end_date"
		},
		{
			"field_name": "phase_critical_extra_time",
			"field_number": 48,
			"field_type": "time without time zone",
			"local_field": "json_data.critical_extra_end_time"
		},
		{
			"field_name": "phase_critical_start_date",
			"field_number": 35,
			"field_type": "date",
			"local_field": "json_data.critical_start_date"
		},
		{
			"field_name": "phase_critical_start_time",
			"field_number": 45,
			"field_type": "time without time zone",
			"local_field": "json_data.critical_start_time"
		},
		{
			"field_name": "phase_critical_time",
			"field_number": 46,
			"field_type": "time without time zone",
			"local_field": "json_data.critical_end_time"
		},
		{
			"field_name": "planned_work_time",
			"field_number": 68,
			"field_type": "double",
			"local_field": "json_data.planned_work_time"
		},
		{
			"field_name": "previous_phase",
			"field_number": 14,
			"field_type": "varchar",
			"length": 80,
			"local_field": "json_data.previous_phase"
		},
		{
			"field_name": "prod_lot__linked_phase",
			"field_number": 12,
			"field_type": "varchar",
			"length": 80,
			"local_field": "json_data.prod_lot__linked_phase"
		},
		{
			"field_name": "produced_amount",
			"field_number": 18,
			"field_type": "double",
			"local_field": "produced_amount"
		},
		{
			"field_name": "production_lot",
			"field_number": 1,
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "production_lot",
					"linked_table": "work_order"
				}
			],
			"length": 70,
			"local_field": "production_lot",
			"nullable": true
		},
		{
			"field_name": "production_lot__work_ph",
			"field_number": 2,
			"field_type": "varchar",
			"length": 80,
			"local_field": "json_data.production_lot__work_ph"
		},
		{
			"field_name": "project_id",
			"field_number": 52,
			"field_type": "varchar",
			"length": 80,
			"local_field": "json_data.project_id"
		},
		{
			"field_name": "reclamation_count",
			"field_number": 66,
			"field_type": "integer",
			"local_field": "json_data.reclamation_count"
		},
		{
			"constraint": ["unique"],
			"field_name": "record_id",
			"field_number": 20,
			"field_type": "varchar",
			"length": 90,
			"local_field": "record_id"
		},
		{
			"field_name": "remaining_amount",
			"field_number": 19,
			"field_type": "double",
			"local_field": "remaining_amount"
		},
		{
			"field_name": "setup_time",
			"field_number": 31,
			"field_type": "double",
			"local_field": "setup_hours"
		},
		{
			"field_name": "start_date",
			"field_number": 9,
			"field_type": "date",
			"local_field": "json_data.start_date"
		},
		{
			"field_name": "start_time",
			"field_number": 5,
			"field_type": "time without time zone",
			"local_field": "json_data.start_time"
		},
		{
			"field_name": "state",
			"field_number": 61,
			"field_type": "integer",
			"local_field": "product_work_state"
		},
		{
			"field_name": "subcontract",
			"field_number": 17,
			"field_type": "boolean",
			"local_field": "subcontract"
		},
		{
			"field_name": "subtype",
			"field_number": 60,
			"field_type": "varchar",
			"length": 40,
			"local_field": "json_data.subtype"
		},
		{
			"field_name": "target_machine_time",
			"field_number": 63,
			"field_type": "double",
			"local_field": "json_data.target_machine_time"
		},
		{
			"field_name": "target_time",
			"field_number": 62,
			"field_type": "double",
			"local_field": "json_data.target_time"
		},
		{
			"field_name": "track_time",
			"field_number": 58,
			"field_type": "double",
			"local_field": "json_data.track_time"
		},
		{
			"field_name": "track_time_status",
			"field_number": 59,
			"field_type": "integer",
			"local_field": "json_data.track_time_status"
		},
		{
			"field_name": "transfer_id",
			"field_number": 50,
			"field_type": "varchar",
			"length": 120,
			"local_field": "json_data.transfer_id"
		},
		{
			"field_name": "transfer_state",
			"field_number": 57,
			"field_type": "integer",
			"local_field": "json_data.transfer_state"
		},
		{
			"field_name": "type_",
			"field_number": 36,
			"field_type": "integer",
			"local_field": "work_phase_type"
		},
		{
			"field_name": "urgency_index",
			"field_number": 25,
			"field_type": "double",
			"local_field": "json_data.urgency_index"
		},
		{
			"field_name": "work_description",
			"field_number": 28,
			"field_type": "varchar",
			"length": 0,
			"local_field": "description"
		},
		{
			"field_name": "work_load_group_id",
			"field_number": 3,
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "work_load_group_id",
					"linked_table": "work_load_group"
				}
			],
			"length": 24,
			"local_field": "resource_id",
			"nullable": true
		},
		{
			"field_name": "work_phase",
			"field_number": 11,
			"field_type": "integer",
			"local_field": "work_phase_number"
		},
		{
			"field_name": "work_phase_state",
			"field_number": 16,
			"field_type": "varchar",
			"length": 4,
			"local_field": "work_phase_state"
		},
		{
			"field_name": "work_time",
			"field_number": 13,
			"field_type": "double",
			"local_field": "json_data.work_time"
		}
	],
	"default_field": "table/default_field.json"
}
